﻿using ConfigDSL.Framework;
using System;
using System.Collections.Generic;
using System.Text;

namespace ConfigDSL.Drivers.Npgsql.Configurators
{
    public interface INpgsqlDriverConfigurator : IConfigurator
    {

    }

    public sealed class NpgsqlDriverConfigurator : Configurator, INpgsqlDriverConfigurator
    {
        private readonly Version _dbVersion;
        
        public NpgsqlDriverConfigurator(IConfigurator context, Version dbVersion)
            : base(context) => _dbVersion = dbVersion;

        protected override AppConfig DoConfigure(AppConfig config)
        {
            config.DatabaseDriver = $"npgsql;version={_dbVersion.Major}.{_dbVersion.Minor}";
            return config;
        }
    }
}
