﻿using ConfigDSL.Drivers.Npgsql.Configurators;
using ConfigDSL.Framework.Configurators;
using System;

namespace ConfigDSL.Drivers.Npgsql
{
    public static class Extensions
    {
        public static INpgsqlDriverConfigurator UseNpgsql(
            this IAppConfigConfigurator configurator, 
            Version dbVersion)
                => new NpgsqlDriverConfigurator(configurator, dbVersion);

        public static IConnectionStringConfigurator WithConnectionString(
            this INpgsqlDriverConfigurator configurator, 
            string connectionString)
                => new ConnectionStringConfigurator(configurator, connectionString);
    }
}
