﻿using System;
using System.Collections.Generic;
using System.Text;

namespace ConfigDSL.Framework
{
    public abstract class Configurator : IConfigurator
    {
        private readonly IConfigurator _context;

        public Configurator(IConfigurator context)
            => _context = context;

        public AppConfig Configure()
        {
            var config = _context.Configure();
            return DoConfigure(config);
        }

        protected abstract AppConfig DoConfigure(AppConfig config);
    }
}
