﻿using System;
using System.Collections.Generic;
using System.Text;

namespace ConfigDSL.Framework.Configurators
{
    public interface IConnectionStringConfigurator : IConfigurator
    {
    }

    public sealed class ConnectionStringConfigurator : Configurator, IConnectionStringConfigurator
    {
        private readonly string _connectionString;

        public ConnectionStringConfigurator(IConfigurator context, string connectionString)
            : base(context) => _connectionString = connectionString;

        protected override AppConfig DoConfigure(AppConfig config)
        {
            config.ConnectionString = _connectionString;
            return config;
        }
    }
}
