﻿using System;
using System.Collections.Generic;
using System.Text;

namespace ConfigDSL.Framework.Configurators
{
    public interface IDatabaseDriverConfigurator : IConfigurator
    { 
    }

    public sealed class DatabaseDriverConfigurator : Configurator, IDatabaseDriverConfigurator
    {
        private readonly string _driverName;

        public DatabaseDriverConfigurator(IConfigurator context, string driverName)
            : base(context) => _driverName = driverName;

        protected override AppConfig DoConfigure(AppConfig config)
        {
            config.DatabaseDriver = _driverName;
            return config;
        }
    }
}
