﻿using System;
using System.Collections.Generic;
using System.Text;

namespace ConfigDSL.Framework.Configurators
{
    public interface IEnableCachingConfigurator : IConfigurator
    {

    }
    public sealed class EnableCachingConfigurator : Configurator, IEnableCachingConfigurator
    {
        private readonly bool _enableCaching = false;

        public EnableCachingConfigurator(IConfigurator context, bool enableCaching)
            : base(context) => _enableCaching = enableCaching;

        protected override AppConfig DoConfigure(AppConfig config)
        {
            config.EnableCaching = _enableCaching;
            return config;
        }
    }
}
