﻿using ConfigDSL.Framework.Configurators;
using System;
using System.Collections.Generic;
using System.Text;

namespace ConfigDSL.Framework
{
    public static class Extensions
    {
        public static IDatabaseDriverConfigurator UseDatabase(
            this IAppConfigConfigurator configurator, 
            string databaseDriverName) 
                => new DatabaseDriverConfigurator(configurator, databaseDriverName);

        public static IConnectionStringConfigurator WithConnectionString(
            this IDatabaseDriverConfigurator configurator, 
            string connectionString)
                => new ConnectionStringConfigurator(configurator, connectionString);

        public static IEnableCachingConfigurator EnableCaching(
            this IConnectionStringConfigurator configurator)
                => new EnableCachingConfigurator(configurator, true);
    }
}
