using ConfigDSL.Framework;
using ConfigDSL.Drivers.Npgsql;
using ConfigDSL.Framework.Configurators;
using NUnit.Framework;

namespace ConfigDSL.Tests
{
    public class Tests
    {
        [SetUp]
        public void Setup()
        {
        }

        [Test]
        public void UseDecoratorPatternTest()
        {
            var appConfig = new DatabaseDriverConfigurator(
                new ConnectionStringConfigurator(
                    new EnableCachingConfigurator(
                        new AppConfigConfigurator(), true), "Server=localhost; Database=abc;"), "mssql")
                .Configure();
            Assert.IsTrue(appConfig.EnableCaching);
        }

        [Test]
        public void UseDslTest()
        {
            var appConfig = new AppConfigCreator()
                .Create()
                .UseDatabase("mssql")
                .WithConnectionString("Server=localhost; Database=abc;")
                .EnableCaching()
                .Configure();

            Assert.IsTrue(appConfig.EnableCaching);
        }

        [Test]
        public void UseNpgsqlTest()
        {
            var appConfig = new AppConfigCreator()
                .Create()
                .

        }
    }
}